#include<array>
#include<tuple>
#include<iostream>

void print(auto x) {
	std::cout << x << '\n';
}

int main() {
	std::array arr = { 1, 2, 3 };
	const std::array c_arr = { 4, 5, 6 };
	arr[1] = 7;
	// c_arr[1] = 10;
	print(c_arr[2]);

	std::tuple<const int, double> t1 = { 10, 1.2 };
	// std::get<0>(t1) = 11;
	std::get<1>(t1) = 2.2;

	auto& [a, b] = t1;
	// a = 33;
	b = 4.4;

	const std::tuple t2 = { true, 'x' };
	// std::get<0>(t2) = false;
	// std::get<1>(t2) = 'y';
	auto& [c, d] = t2;
	// c = false;
	// d = 'z';
	print(d);

	int val = 10;
	const std::tuple<int&, double> tricky = { val, 0.0 };
	std::get<0>(tricky) = 20;
	// std::get<1>(tricky) = 0.1;
	print(val);
}
