#include <iostream>
#include <queue>
#include <stack>

int main() {
	std::stack<int> s;
	std::queue<int> q;

	for (int i = 0; i < 10; ++i) {
		s.push(i);
		q.push(i);
	}

	std::cout << "Stack pop:";
	while (!s.empty()) {
		std::cout << ' ' << s.top();
		s.pop();
	}

	std::cout << "\nQueue pop:";
	while (!q.empty()) {
		std::cout << ' ' << q.front();
		q.pop();
	}

	std::cout << '\n';
}
