#include <iostream>
#include <tuple>

using point = std::tuple<int, int>;
using circle = std::tuple<point, double>;

void print_circle(const circle& circ) {
	auto& [c, r] = circ;
	auto& [x, y] = c;
	std::cout << "center at (" << x << ", " << y
	          << "), radius = " << r << '\n';
}

int main() {
	print_circle({ { 1, 2 }, 3.0 });

	circle c = { { 0, 0 }, 3.14 };
	print_circle(c);
}
